HighlightParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.HighlightParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Interface HighlightParams

All Known Implementing Classes:
  HighlightingUtils

    public interface HighlightParams

Since:
  solr 1.3
Version:
  $Id: HighlightParams.java 1198785 2011-11-07 15:43:23Z koji $

Field Summary
`static String` | `ALTERNATE_FIELD`
`static String` | `ALTERNATE_FIELD_LENGTH`
`static String` | `BOUNDARY_SCANNER`
`static String` | `BS_CHARS`
`static String` | `BS_COUNTRY`
`static String` | `BS_LANGUAGE`
`static String` | `BS_MAX_SCAN`
`static String` | `BS_TYPE`
`static String` | `ENCODER`
`static String` | `FIELD_MATCH`
`static String` | `FIELDS`
`static String` | `FORMATTER`
`static String` | `FRAG_LIST_BUILDER`
`static String` | `FRAGMENTER`
`static String` | `FRAGMENTS_BUILDER`
`static String` | `FRAGSIZE`
`static String` | `HIGHLIGHT`
`static String` | `HIGHLIGHT_MULTI_TERM`
`static String` | `INCREMENT`
`static String` | `MAX_CHARS`
`static String` | `MAX_RE_CHARS`
`static String` | `MERGE_CONTIGUOUS_FRAGMENTS`
`static String` | `MULTI_VALUED_SEPARATOR`
`static String` | `PATTERN`
`static String` | `PHRASE_LIMIT`
`static String` | `Q`
`static String` | `REGEX`
`static String` | `SIMPLE`
`static String` | `SIMPLE_POST`
`static String` | `SIMPLE_PRE`
`static String` | `SLOP`
`static String` | `SNIPPETS`
`static String` | `TAG_POST`
`static String` | `TAG_PRE`
`static String` | `USE_FVH`
`static String` | `USE_PHRASE_HIGHLIGHTER`

Field Detail

### HIGHLIGHT

    static final String HIGHLIGHT

See Also:
  Constant Field Values

### Q

    static final String Q

See Also:
  Constant Field Values

### FIELDS

    static final String FIELDS

See Also:
  Constant Field Values

### SNIPPETS

    static final String SNIPPETS

See Also:
  Constant Field Values

### FRAGSIZE

    static final String FRAGSIZE

See Also:
  Constant Field Values

### INCREMENT

    static final String INCREMENT

See Also:
  Constant Field Values

### MAX_CHARS

    static final String MAX_CHARS

See Also:
  Constant Field Values

### FORMATTER

    static final String FORMATTER

See Also:
  Constant Field Values

### ENCODER

    static final String ENCODER

See Also:
  Constant Field Values

### FRAGMENTER

    static final String FRAGMENTER

See Also:
  Constant Field Values

### FRAG_LIST_BUILDER

    static final String FRAG_LIST_BUILDER

See Also:
  Constant Field Values

### FRAGMENTS_BUILDER

    static final String FRAGMENTS_BUILDER

See Also:
  Constant Field Values

### BOUNDARY_SCANNER

    static final String BOUNDARY_SCANNER

See Also:
  Constant Field Values

### BS_MAX_SCAN

    static final String BS_MAX_SCAN

See Also:
  Constant Field Values

### BS_CHARS

    static final String BS_CHARS

See Also:
  Constant Field Values

### BS_TYPE

    static final String BS_TYPE

See Also:
  Constant Field Values

### BS_LANGUAGE

    static final String BS_LANGUAGE

See Also:
  Constant Field Values

### BS_COUNTRY

    static final String BS_COUNTRY

See Also:
  Constant Field Values

### FIELD_MATCH

    static final String FIELD_MATCH

See Also:
  Constant Field Values

### ALTERNATE_FIELD

    static final String ALTERNATE_FIELD

See Also:
  Constant Field Values

### ALTERNATE_FIELD_LENGTH

    static final String ALTERNATE_FIELD_LENGTH

See Also:
  Constant Field Values

### USE_PHRASE_HIGHLIGHTER

    static final String USE_PHRASE_HIGHLIGHTER

See Also:
  Constant Field Values

### HIGHLIGHT_MULTI_TERM

    static final String HIGHLIGHT_MULTI_TERM

See Also:
  Constant Field Values

### MERGE_CONTIGUOUS_FRAGMENTS

    static final String MERGE_CONTIGUOUS_FRAGMENTS

See Also:
  Constant Field Values

### USE_FVH

    static final String USE_FVH

See Also:
  Constant Field Values

### TAG_PRE

    static final String TAG_PRE

See Also:
  Constant Field Values

### TAG_POST

    static final String TAG_POST

See Also:
  Constant Field Values

### PHRASE_LIMIT

    static final String PHRASE_LIMIT

See Also:
  Constant Field Values

### MULTI_VALUED_SEPARATOR

    static final String MULTI_VALUED_SEPARATOR

See Also:
  Constant Field Values

### SIMPLE

    static final String SIMPLE

See Also:
  Constant Field Values

### SIMPLE_PRE

    static final String SIMPLE_PRE

See Also:
  Constant Field Values

### SIMPLE_POST

    static final String SIMPLE_POST

See Also:
  Constant Field Values

### REGEX

    static final String REGEX

See Also:
  Constant Field Values

### SLOP

    static final String SLOP

See Also:
  Constant Field Values

### PATTERN

    static final String PATTERN

See Also:
  Constant Field Values

### MAX_RE_CHARS

    static final String MAX_RE_CHARS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD